@echo off
break on
if not exist \list md list
if not exist \sonstige md sonstige
cls
echo Makefile fuer den sdas8051-Assembler
echo ------------------------------------

rem Dateinamensteile:
rem Asm-Files: Numerierung bis 9:
set Source01=ralfs_asm
rem Dateiendungen:
set DotAsm=.asm
set DotLkr=.lkr

rem Parameter Kommandozeile:
rem Parameter Assembler:
set AParmString=-gloaxsffp

:start

rem Assembler:
echo Assemblieren...
echo %Source01%%DotAsm%
sdas8051 %AParmString% %Source01%%DotAsm%
if ERRORLEVEL 1 goto ende
echo Assemblieren fertig!
echo.

rem Linker:
rem erzeuge Linker-Skript:
echo    -n                      ; suppress output                    >  %Source01%%DotLkr%
echo    -mxsu                   ; linker options                     >> %Source01%%DotLkr%
echo    %Source01%              ; input file                         >> %Source01%%DotLkr%
echo    -b CODEBASE   = 0x1000  ; Startvektor                        >> %Source01%%DotLkr%
echo    -b CODE1      = 0x1100  ; Codebasis1 (Programm)              >> %Source01%%DotLkr%
echo    -b CODE2      = 0x1200  ; Codebasis2 (Programm)              >> %Source01%%DotLkr%
echo    -b CODE3      = 0x1800  ; Codebasis3 (Programm)              >> %Source01%%DotLkr%
echo    -b BDATABASE  = 0x0000  ; internes RAM, Bitsegment Basis     >> %Source01%%DotLkr%
echo    -b IDATABASE1 = 0x0030  ; internes RAM, direkt adressierbar  >> %Source01%%DotLkr%
echo    -b IDATABASE2 = 0x0060  ; internes RAM, direkt adressierbar  >> %Source01%%DotLkr%
echo    -p                      ; enable output                      >> %Source01%%DotLkr%
echo    -e                      ; end of file                        >> %Source01%%DotLkr%
echo Linken...
sdld -f %Source01%%DotLkr%
if ERRORLEVEL 1 goto ende
echo Linken fertig!
echo.

:reinigen
rem Kopieren und Verschieben nicht im Ausgabefenster anzeigen mit NUL:
if exist *.lst move /y *.lst list\ >NUL
if exist *.map move /y *.map list\ >NUL
if exist *.mem move /y *.mem list\ >NUL
if exist *.rel move /y *.rel list\ >NUL
if exist *.rst move /y *.rst list\ >NUL
if exist *.sym move /y *.sym list\ >NUL
if exist *.lkr move /y *.lkr list\ >NUL
if exist *.s37 move /y *.s37 list\ >NUL
if exist main.txt del main.txt >NUL
if exist main.s37 copy /y main.s37 main.txt >NUL
if exist *.bak move /y *.bak sonstige\ >NUL

rem zeige Aktualitt der Hex-Datei an:
echo.
cd list
dir | find /i "%Source01%.s37"
cd..

:ende
echo.
echo Beenden: Bitte eine beliebige Taste druecken...
pause > nul
echo.
